#include <iocslib.h>
#include "deftype.h"

int kbmshit(int mode)
/* kbhit()+マウス左ボタンhit */
{
unint ky;
unint msc,mcx,mcy;
	if (mode) msc=ms_set(&mcx,&mcy,-1,-1,0);
	do {
		if (MS_STAT()!=0) { /* マウスカーソルが表示されている時 */
			/* マウスの左ボタンが押されているかどうか */
			if ((mson()>>16)==1) return(-1); /* 押されている */
		}
		ky=inkey2(1,0);
	} while (ky==0);
	if (mode) ms_reset(msc,mcx,mcy);
	return(ky);
}
